Bug 1118903 - extra dash in warning message when trying to create app with both --from-code and --from-app
Summary: extra dash in warning message when trying to create app with both --from-code...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Jordan Liggitt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 20:52 UTC by Peter Ruan
Modified: 2015-05-15 02:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:48:40 UTC


Attachments (Terms of Use)

Description Peter Ruan 2014-07-11 20:52:53 UTC
Description of problem:
extra dash in warning message when trying to create app with both --from-code and --from-app

Version-Release number of selected component (if applicable):

rhc 1.27.4

How reproducible:
always.

Steps to Reproduce:
1. create an app
2. try to create another app using from-code in conjuction with from-app
3.

Actual results:
There is an extra dash in '--from--app'
Option --from-code is incompatible with --from--app. When creating an app based on another resource you can either specify a Git repository URL with --from-code or an existing app name with --from-app.

Expected results:


Additional info:

Comment 1 Jordan Liggitt 2014-07-18 14:34:17 UTC
Will merge in https://github.com/openshift/rhc/pull/627

Comment 3 weiwei jiang 2014-07-21 05:27:31 UTC
Checked on devenv_4988 with rhc-1.28.1, and found this has been fixed, so verify this.


Note You need to log in before you can comment on or make changes to this bug.